Security Enhanced Linux Reference Policy

# Layer: services

## Module: chronyd

Tunables Interfaces

### Description:

Chrony NTP background daemon.

### Tunables:

chronyd_hwtimestamp

##### Default value

false

##### Description

Determine whether chronyd can access NIC hardware timestamping features

Return

### Interfaces:

chronyd_admin( domain , role )

##### Summary

All of the rules required to administrate an chronyd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

chronyd_dgram_send( domain )

##### Summary

Send to chronyd using a unix domain datagram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_dgram_send_cli( domain )

##### Summary

Send to chronyd command line interface using a unix domain datagram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_domtrans( domain )

##### Summary

Execute chronyd in the chronyd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

chronyd_domtrans_cli( domain )

##### Summary

Execute chronyc in the chronyc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

chronyd_enabledisable( domain )

##### Summary

Allow specified domain to enable and disable chronyd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_exec( domain )

##### Summary

Execute chronyd in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_initrc_domtrans( domain )

##### Summary

Execute chronyd server in the chronyd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

chronyd_read_config( domain )

##### Summary

Read chronyd config file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_read_key_files( domain )

##### Summary

Read chronyd key files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_read_log( domain )

##### Summary

Read chronyd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_run_cli( domain , role )

##### Summary

Execute chronyc in the chronyc domain, and allow the specified roles the chronyc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

chronyd_rw_config( domain )

##### Summary

Read and write chronyd config file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_rw_shm( domain )

##### Summary

Read and write chronyd shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_startstop( domain )

##### Summary

Allow specified domain to start and stop chronyd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_status( domain )

##### Summary

Allow specified domain to get status of chronyd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

chronyd_stream_connect( domain )

##### Summary

Connect to chronyd using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return